Update Channel Metafield

Updates a single channel metafield. **Usage Notes** * Attempting to modify `namespace`, `key`, and `permission_set` fields using a client ID different from the one used to create those metafields will result in a `403` error message.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idstringRequired
metafield_idstringRequired

Request

This endpoint expects an object.
namespacestringOptional1-64 characters
Namespace for the metafield, for organizational purposes.
keystringOptional1-64 characters
The name of the field.
valuestringOptional1-65535 characters
The value of the field.
permission_setenumOptional

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field
readVisible to other API consumers
writeOpen for reading and writing by other API consumers
read_and_sf_accessVisible to other API consumers, including on storefront
write_and_sf_accessOpen for reading and writing by other API consumers, including on storefront
Allowed values:
descriptionstringOptional0-255 characters
Description for the metafield.

Response

OK
idinteger

Unique ID of the Metafield.

permission_setenum

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field
readVisible to other API consumers
writeOpen for reading and writing by other API consumers
read_and_sf_accessVisible to other API consumers, including on storefront
write_and_sf_accessOpen for reading and writing by other API consumers, including on storefront
Allowed values:
namespacestring1-64 characters
Namespace for the metafield, for organizational purposes.
keystring1-64 characters

The name of the field, for example: location_id, color.

valuestring1-65535 characters
The value of the field.
descriptionstring0-255 characters
Description for the metafields.
resource_typeenum
The type of resource with which the metafield is associated.
Allowed values:
resource_idinteger0-10000000000
The ID for the resource with which the metafield is associated.
date_createddatetime

Date and time of the metafieldʼs creation. Read-Only.

date_modifieddatetime

Date and time when the metafield was last updated. Read-Only.

Errors

400
Bad Request Error
404
Not Found Error